tests/nopytest_ingestIndexReferenceCatalog.py

============================= test session starts ==============================
platform linux -- Python 3.8.12, pytest-6.2.5, py-1.11.0, pluggy-1.0.0
rootdir: /build/stack/miniconda3-py38_4.9.2-1.0.0/EupsBuildDir/Linux64/meas_algorithms-gbe01a4569f+ba8ebff60c/meas_algorithms-gbe01a4569f+ba8ebff60c, configfile: setup.cfg
plugins: astropy-header-0.1.2, subtests-0.6.0, filter-subpackage-0.1.1, openfiles-0.5.0, remotedata-0.3.3, arraydiff-0.3, mock-3.6.1, cov-3.0.0, xdist-2.5.0, hypothesis-6.36.0, flake8-1.0.7, doctestplus-0.11.2, session2file-0.1.11, asdf-2.8.3, forked-1.4.0
collected 6 items

tests/nopytest_ingestIndexReferenceCatalog.py ......                     [100%]

=============================== warnings summary ===============================
<frozen importlib._bootstrap>:219
  <frozen importlib._bootstrap>:219: RuntimeWarning: numpy.ndarray size changed, may indicate binary incompatibility. Expected 80 from C header, got 88 from PyObject

tests/nopytest_ingestIndexReferenceCatalog.py::TestConvertReferenceCatalogParallel::testIngestTwoFilesTwoCores
  /build/conda/miniconda3-py38_4.9.2/envs/lsst-scipipe-1.0.0/lib/python3.8/tempfile.py:818: ResourceWarning: Implicitly cleaning up <TemporaryDirectory '/tmp/tmpqpaqdk_z'>
    _warnings.warn(warn_message, ResourceWarning)

-- Docs: https://docs.pytest.org/en/stable/warnings.html
- generated xml file: /build/stack/miniconda3-py38_4.9.2-1.0.0/EupsBuildDir/Linux64/meas_algorithms-gbe01a4569f+ba8ebff60c/meas_algorithms-gbe01a4569f+ba8ebff60c/tests/.tests/nopytest_ingestIndexReferenceCatalog.py.xml -

---------- coverage: platform linux, python 3.8.12-final-0 -----------
Name                                                                Stmts   Miss Branch BrPart  Cover
-----------------------------------------------------------------------------------------------------
python/lsst/__init__.py                                                 3      0      0      0   100%
python/lsst/meas/__init__.py                                            3      0      0      0   100%
python/lsst/meas/algorithms/__init__.py                                48      0      0      0   100%
python/lsst/meas/algorithms/accumulator_mean_stack.py                  81     71     30      0    11%
python/lsst/meas/algorithms/astrometrySourceSelector.py                58     35     12      0    39%
python/lsst/meas/algorithms/brightStarStamps.py                       140     99     56      0    23%
python/lsst/meas/algorithms/coaddPsf/__init__.py                        2      0      0      0   100%
python/lsst/meas/algorithms/coaddPsf/coaddPsfContinued.py               4      0      0      0   100%
python/lsst/meas/algorithms/convertRefcatManager.py                   159     25     48      7    84%
python/lsst/meas/algorithms/convertReferenceCatalog.py                 62     21      8      1    66%
python/lsst/meas/algorithms/detection.py                              287    227    110      0    16%
python/lsst/meas/algorithms/dynamicDetection.py                       109     85     22      0    21%
python/lsst/meas/algorithms/findCosmicRaysConfig.py                    18      5      2      0    75%
python/lsst/meas/algorithms/flaggedSourceSelector.py                   15      2      4      0    89%
python/lsst/meas/algorithms/gaussianPsfFactory.py                      44     23     14      0    40%
python/lsst/meas/algorithms/htmIndexer.py                              17      7      6      0    52%
python/lsst/meas/algorithms/indexerRegistry.py                         10      0      2      0   100%
python/lsst/meas/algorithms/ingestIndexReferenceTask.py               171     54     40      2    64%
python/lsst/meas/algorithms/loadIndexedReferenceObjects.py             55     38     24      0    27%
python/lsst/meas/algorithms/loadReferenceObjects.py                   393    233    158     23    39%
python/lsst/meas/algorithms/makeCoaddApCorrMap.py                      21     17     10      0    13%
python/lsst/meas/algorithms/makePsfCandidates.py                       45     28     14      0    36%
python/lsst/meas/algorithms/matcherSourceSelector.py                   47     27      8      0    44%
python/lsst/meas/algorithms/measureApCorr.py                          122     96     44      0    19%
python/lsst/meas/algorithms/objectSizeStarSelector.py                 249    208    104      8    16%
python/lsst/meas/algorithms/pcaPsfDeterminer.py                       334    293    185      3     9%
python/lsst/meas/algorithms/psfCandidate/__init__.py                    2      0      0      0   100%
python/lsst/meas/algorithms/psfCandidate/psfCandidateContinued.py       8      1      2      0    90%
python/lsst/meas/algorithms/psfDeterminer.py                           18      2      4      0    91%
python/lsst/meas/algorithms/readFitsCatalogTask.py                     22     11     12      0    44%
python/lsst/meas/algorithms/readTextCatalogTask.py                     20      2      6      1    88%
python/lsst/meas/algorithms/reserveSourcesTask.py                      44     29     14      0    33%
python/lsst/meas/algorithms/simple_curve.py                           154     94     44      1    35%
python/lsst/meas/algorithms/skyObjects.py                              48     31     16      0    33%
python/lsst/meas/algorithms/sourceSelector.py                         186    101     80      0    43%
python/lsst/meas/algorithms/stamps.py                                 172    119     68      0    25%
python/lsst/meas/algorithms/starSelector.py                            25      9      8      0    61%
python/lsst/meas/algorithms/subtractBackground.py                     113     84     46      1    21%
python/lsst/meas/algorithms/utils.py                                  546    516    202      0     4%
python/lsst/meas/algorithms/version.py                                  5      0      0      0   100%
tests/ingestIndexTestBase.py                                          150      6     34      2    96%
tests/nopytest_ingestIndexReferenceCatalog.py                         122      2     16      1    98%
-----------------------------------------------------------------------------------------------------
TOTAL                                                                4132   2601   1453     50    33%
Coverage HTML written to dir tests/.tests/nopytest_ingestIndexReferenceCatalog.py-htmlcov
Coverage XML written to file tests/.tests/nopytest_ingestIndexReferenceCatalog.py-cov-meas_algorithms.xml

============================= slowest 5 durations ==============================
59.18s call     tests/nopytest_ingestIndexReferenceCatalog.py::TestConvertReferenceCatalogParallel::testIngestTwoFilesTwoCores
0.36s call     tests/nopytest_ingestIndexReferenceCatalog.py::FLAKE8
0.27s setup    tests/nopytest_ingestIndexReferenceCatalog.py::TestConvertRefcatManager::test_doOnePixelNewData
0.24s setup    tests/nopytest_ingestIndexReferenceCatalog.py::TestConvertReferenceCatalogParallel::testIngestTwoFilesTwoCores
0.21s call     tests/nopytest_ingestIndexReferenceCatalog.py::TestMemory::testFileDescriptorLeaks
================== 6 passed, 2 warnings in 116.11s (0:01:56) ===================
